
CN REST - Bug #7418

echoIndexedObject returns xml version=1.1

2015-10-08 17:03 - Dave Vieglais

Status: Closed Start date: 2015-10-08

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Not really a bug, just an inconvenience. The XML response from the echoIndexedObject diagnostic service returns xml with a

version="1.1" prolog.

Example output:

<?xml version="1.1" encoding="utf-8"?>

 http://localhost:8080/coding-sheet/3510/carp-fauna-species-scientifc-common

 http://ns.dataone.org/metadata/schema/onedcx/v1.0
 https://cn-dev-2.test.dataone.org/cn/v2/resolve/http%3A%2F%2Flocalhost%3A8080%2Fcoding-sheet%2F3510%2Fcarp-fauna-speci

es-scientifc-common

this should not be null

CARP Fauna Species Scientifc (Common)

 https://cn-dev-2.test.dataone.org/cn/v2/resolve/http%3A%2F%2Flocalhost%3A8080%2Fcoding-sheet%2F3510%2Fcarp-fauna-speci

es-scientifc-common

CARP Fauna Species Scientifc (Common)  Coding Sheet  

http://localhost:8080/coding-sheet/3510/carp-fauna-species-scientifc-common  Dataset  text/csv    this should not be null 

2010-07-14T16:19:50-07:00  CARP Fauna Species Scientifc (Common). 2009 ( 3510) ; doi:10.6067/XCV83510  2009 

http://localhost:8080/coding-sheet/3510/carp-fauna-species-scientifc-common

 

Command:

curl -X POST -F queryEngine=solr \

-F sysmeta=@20151008_example_sysm.xml \

-F object=@20151008_example.xml \

"https://cn-dev-2.test.dataone.org/cn/v2/diag/object"

20151008_example_sysm.xml:

<!--

Warning: This file was generated by an automated process. Manual edits may

be overwritten without further warning.

timestamp: 2015-10-08T15:08:42

created_with: d1createsysmeta

-->
20151008_example.xml:

<?xml version="1.0"?>

 ns2:simpleDc

CARP Fauna Species Scientifc (Common)

Coding Sheet

http://localhost:8080/coding-sheet/3510/carp-fauna-species-scientifc-common

Dataset

text/csv

 /ns2:simpleDc

 ns2:dcTerms

this should not be null

2010-07-14T16:19:50-07:00

CARP Fauna Species Scientifc (Common). 2009 ( 3510) ; doi:10.6067/XCV83510

2009

 /ns2:dcTerms

/ns2:metadata

History

#1 - 2015-10-08 18:10 - Ben Leinfelder

- Status changed from New to In Progress

- % Done changed from 0 to 30

Changed to version=1.0. Will need to make sure indexing still works after this.

#2 - 2015-10-09 16:42 - Ben Leinfelder

Deployed on cn-dev-2 and was able to get echo response with version=1.0. I have an object waiting to synch/index in order to verify that indexing

works with version=1.0 xml as well:

https://cn-dev-2.test.dataone.org/cn/v2/query/solr/?q=id:brl.2.1

#3 - 2015-10-09 22:08 - Ben Leinfelder

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
indexed an EML test object in dev-2 and it worked fine with this change.

https://cn-dev-2.test.dataone.org/cn/v2/query/solr/?q=id:brl.3.1
